require 'mysql'

m = Mysql.new("localhost","ruby","secret","maillist")
r = m.query("SELECT * FROM people ORDER BY name")
r.each_hash do |f|
  print "#{f['name']} - #{f['email']}"
end

# Output looks like:
# John Doe - jdoe@rubynewbie.com
# Fred Smith - smithf@rubyexpert.com

